Package com.arms.api.requirement.reqadd_state_pure.controller

## Class ReqAddStatePureController

- java.lang.Object
- - com.arms.egovframework.javaservice.treeframework.controller.TreeAbstractController<ReqAddStatePure,​ReqAddStatePureDTO,​ReqAddStatePureEntity>
  - - com.arms.api.requirement.reqadd_state_pure.controller.ReqAddStatePureController

-     @Controller
      @RequestMapping("/arms/reqAddStatePure")
      public class ReqAddStatePureController
      extends TreeAbstractController<ReqAddStatePure,​ReqAddStatePureDTO,​ReqAddStatePureEntity>

- - ### Field Summary

    - ### Fields inherited from class com.arms.egovframework.javaservice.treeframework.controller.TreeAbstractController

      `chat, modelMapper`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReqAddStatePureController()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.springframework.http.ResponseEntity<?>` | `calculateProgress​(java.lang.String changeReqTableName, ReqAddStatePureDTO reqAddStatePureDTO)` |
    `void` | `initialize()` |
    `org.springframework.http.ResponseEntity<?>` | `reportReqStatus​(java.lang.String changeReqTableName, ReqAddStatePureDTO reqAddStatePureDTO)` |
    `org.springframework.web.servlet.ModelAndView` | `reqProgress​(java.lang.String changeReqTableName, ReqAddStatePureDTO reqAddStatePureDTO, org.springframework.ui.ModelMap model)` |
    `org.springframework.http.ResponseEntity<?>` | `weeklyReportReqStatus​(java.lang.String changeReqTableName, ReqAddStatePureDTO reqAddStatePureDTO)` |

    - ### Methods inherited from class com.arms.egovframework.javaservice.treeframework.controller.TreeAbstractController

      `addNode, alterNode, alterNodeType, analyzeNode, getChildNode, getMonitor, getNode, getNodesWithoutRoot, getPaginatedChildNode, moveNode, removeNode, searchNode, sendMessage, setJsonDefaultSetting, setTreeEntity, setTreeService, updateNode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReqAddStatePureController

          public ReqAddStatePureController()

  - ### Method Detail

    - #### initialize

          @PostConstruct
          public void initialize()

    - #### reqProgress

          @ResponseBody
          @RequestMapping(value="/{changeReqTableName}/reqProgress.do",
                          method=GET)
          public org.springframework.web.servlet.ModelAndView reqProgress​(@PathVariable("changeReqTableName")
                                                                          java.lang.String changeReqTableName,
                                                                          ReqAddStatePureDTO reqAddStatePureDTO,
                                                                          org.springframework.ui.ModelMap model)
                                                                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### calculateProgress

          @ResponseBody
          @RequestMapping(value="/{changeReqTableName}/calculateProgress.do",
                          method=GET)
          public org.springframework.http.ResponseEntity<?> calculateProgress​(@PathVariable("changeReqTableName")
                                                                              java.lang.String changeReqTableName,
                                                                              ReqAddStatePureDTO reqAddStatePureDTO)
                                                                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### reportReqStatus

          @ResponseBody
          @RequestMapping(value="/{changeReqTableName}/reportReqStatus",
                          method=GET)
          public org.springframework.http.ResponseEntity<?> reportReqStatus​(@PathVariable("changeReqTableName")
                                                                            java.lang.String changeReqTableName,
                                                                            ReqAddStatePureDTO reqAddStatePureDTO)
                                                                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### weeklyReportReqStatus

          @ResponseBody
          @RequestMapping(value="/{changeReqTableName}/weeklyReportReqStatus",
                          method=GET)
          public org.springframework.http.ResponseEntity<?> weeklyReportReqStatus​(@PathVariable("changeReqTableName")
                                                                                  java.lang.String changeReqTableName,
                                                                                  ReqAddStatePureDTO reqAddStatePureDTO)
                                                                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`